package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.CourseTable;
import org.apache.ibatis.annotations.Param;

/**
 * 课程Mapper接口
 * 
 * @author ruoyi
 * @date 2023-05-24
 */
public interface CourseTableMapper 
{
    /**
     * 查询课程
     * 
     * @param id 课程主键
     * @return 课程
     */
    public CourseTable selectCourseTableById(Long id);

    /**
     * 查询课程列表
     * 
     * @param courseTable 课程
     * @return 课程集合
     */
    public List<CourseTable> selectCourseTableList(CourseTable courseTable);

    /**
     * 新增课程
     * 
     * @param courseTable 课程
     * @return 结果
     */
    public int insertCourseTable(CourseTable courseTable);

    /**
     * 修改课程
     * 
     * @param courseTable 课程
     * @return 结果
     */
    public int updateCourseTable(CourseTable courseTable);

    /**
     * 删除课程
     * 
     * @param id 课程主键
     * @return 结果
     */
    public int deleteCourseTableById(Long id);

    /**
     * 批量删除课程
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCourseTableByIds(Long[] ids);

    CourseTable selectCourseTableByClassIdAndWeek(@Param("classId") Long classId, @Param("week")int week);
}
